Skip to main content
Resource Center/Resource Pool/Image Operations
PUTImage OperationsSince SynchronousAuth Required

UpdateImagePackage

UpdateImagePackage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/image-packages/{uuid}

/zstack/v1/image-packages/{uuid}

Operation ID

UpdateImagePackage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/image-packages/{uuid}' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventory": { "uuid": "ecdea1f236a13e74a5712edabb4cfe9e", "name": "ova", "description": "description", "vmUuid": "21c4183acbf737128aba034313e1f909", "backupStorageUuid": "99630920a09138ab93823380286efc57", "state": "Exported", "exportUrl": "http://bs-host-name/path/to/ova.ova", "md5Sum": "sampleMd5Sum", "format": "OVA", "size": 1.073741824E10, "createDate": "May 10, 2022 5:27:16 AM", "lastOpDate": "May 10, 2022 5:27:16 AM" } }

Change History

This API has no change history records yet.

View all change history